> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Pay Rate

> Defines a pay rate in Clasp. Pay rates define the annual salary/hourly wage for a given Member. Note: New pay rates must be created with an effective_start date later than all existing pay_rates



## OpenAPI

````yaml post /pay_rates
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /pay_rates:
    post:
      tags:
        - pay_rates
      description: >-
        Defines a pay rate in Clasp. Pay rates define the annual salary/hourly
        wage for a given Member. Note: New pay rates must be created with an
        effective_start date later than all existing pay_rates
      operationId: pay_rates_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayRate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PayRate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PayRate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayRate'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PayRate:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        member:
          type: string
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
        period:
          $ref: '#/components/schemas/PayRatePeriodEnum'
        effective_start:
          type: string
          format: date
      required:
        - amount
        - effective_start
        - id
        - member
        - period
    PayRatePeriodEnum:
      enum:
        - annually
        - monthly
        - weekly
        - hourly
      type: string
      description: |-
        * `annually` - Annually
        * `monthly` - Monthly
        * `weekly` - Weekly
        * `hourly` - Hourly
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````